# Class LocusImpl

java.lang.Object
htsjdk.samtools.util.LocusImpl

All Implemented Interfaces:
  `Locus`

public class LocusImpl extends Object implements Locus
Simple implementation of Locus interface for ease of passing as an arg and comparing with other Locus implementations.

## Constructor Summary

Constructors
Constructor
Description
`LocusImpl(int sequenceIndex, int position)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getPosition()`
`int`
`getSequenceIndex()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocusImpl

public LocusImpl(int sequenceIndex, int position)

## Method Details

### getSequenceIndex

public int getSequenceIndex()

Specified by:
  `getSequenceIndex` in interface `Locus`

### getPosition

public int getPosition()

Specified by:
  `getPosition` in interface `Locus`
Returns:
  1-based position